// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_FPropertyChangedEvent.h"
#include "SCW_Base.h"

struct FPropertyChangedEvent;

namespace Sourcify
{
	class SCW_FPropertyChangedEvent : public SCW_Base, public ISCW_FPropertyChangedEvent
	{
	public:
		SCW_FPropertyChangedEvent(FPropertyChangedEvent* InPropertyChangedEvent);

		FPropertyChangedEvent* ToFPropertyChangedEvent() const;

		ISCW_FPropertyChangedEventPtr ToFPropertyChangedEventPtr() override;
		ISCW_FPropertyChangedEventConstPtr ToFPropertyChangedEventPtr() const override;

	protected:
		FPropertyChangedEvent* PropertyChangedEvent;
	};
} // namespace Sourcify